dpkg-query(1)

NOM
dpkg-query - Un outil pour interroger la base de données de dpkg

SYNOPSIS
dpkg-query [option...] commande

DESCRIPTION
dpkg-query est un outil pour afficher des informations sur les paquets connus par la base de données de dpkg.

COMMANDES

-l, --list [motif-de-nom-de-paquet...]
    List packages matching given pattern. If no package-name-pattern is given, list all packages in /var/lib/dpkg/status, excluding the ones marked as not-installed (i.e. those which have been previously purged). Normal shell wildcard characters are allowed in package-name-pattern. Please note you will probably have to quote package-name-pattern to prevent the shell from performing filename expansion. For example this will list all package names starting with “libc6”:
    dpkg-query -l 'libc6*'
    Les trois premières colonnes affichées montrent dans l'ordre : l'action souhaitée, l'état du paquet et les erreurs. Action souhaitée :
      u = Inconnu (Unknown)
      i = Installer (Install)
      h = Garder (Hold)
      r = Supprimer (Remove)
      p = Purger (Purge)
    État du paquet :
      n = Non installé (Not-installed)
      c = Fichiers de configuration (Config-files)
      H = Semi-installé (Half-installed)
      U = Décompressé (Unpacked)
      F = Semi-configuré (Half-configured)
      W = Attente de déclenchements (Triggers-awaiting)
      t = Déclenchements en attente (Triggers-pending)
      i = Installé (Installed)
    Drapeaux d'erreur :
      <empty> = (aucun)
      R = Réinstallation requise (Reinst-required)
    Un état en majuscules ou une lettre d'erreur indiquent que le paquet peut provoquer des problèmes graves. Veuillez consulter dpkg(1) à propos des états et drapeaux ci-dessus. On ne peut pas configurer le format de sortie de cette option. Il s'adapte automatiquement à la largeur du terminal. Ce format est destiné aux humains et la machine le lit mal. Voyez -W (--show) et --showformat pour une possible configuration de ce format.

-W, --show [motif-de-nom-de-paquet...]
    Tout comme l'option --list, cette option affiche la liste des paquets qui correspondent au motif donné. La sortie peut cependant être formatée en utilisant l'option --showformat. Le format de sortie par défaut est le suivant : une ligne pour chaque paquet, avec le nom (éventuellement complété par l'identifiant d'architecture pour les paquets Multi-Arch same) et la version installée, séparés par une tabulation.

-s, --status nom-du-paquet ...
    Donne l'état du paquet indiqué. C'est simplement l'affichage de l'entrée de la base de données concernant les états des paquets installés. Lorsque des noms-de-paquets multiples sont indiqués, les entrées d'état demandées sont séparées par une ligne vide et sont dans l'ordre utilisé pour la liste de paramètres.

-L, --listfiles nom-du-paquet...
    Affiche la liste des fichiers du nom-du-paquet installés sur le système. Lorsque plusieurs nom-du-paquet sont indiqués, les différentes listes de fichiers sont séparées par une ligne vide et elles sont fournies dans l'ordre de la liste de paramètres. Il faut remarquer cependant que les fichiers créés par les scripts d'installation propres aux paquets ne sont pas affichés.

--control-list nom-du-paquet
    List control files installed to your system from package-name (since dpkg 1.16.5). These can be used as input arguments to --control-show.

--control-show nom-du-paquet fichier-de-contrôle
    Print the control-file installed to your system from package-name to the standard output (since dpkg 1.16.5).

-c, --control-path nom-du-paquet [fichier-contrôle]
    List paths for control files installed to your system from package-name (since dpkg 1.15.4). If control-file is specified then only list the path for that control file if it is present. Attention : cette commande est obsolète parce qu'elle donne un accès direct à la base de données interne de dpkg, et il est conseillé d'utiliser --control-list et --control-show à la place dans tous les cas où ces commandes peuvent donner le même résultat. Néanmoins,aussi longtemps qu'il y a un cas au moins où cette commande est nécessaire (c'est-à-dire quand il faut supprimer le script d'un responsable endommageant postrm), et tant qu'il n'y aura pas de bonne solution pour cela, cette commande ne sera pas supprimée.

-S, --search motif-de-nom-à-rechercher...
    Search for packages that own files corresponding to the given pattern. Standard shell wildcard characters can be used in the pattern, where asterisk (*) and question mark (?) will match a slash, and blackslash (\) will be used as an escape character. If the first character in the filename-search-pattern is none of ‘*[?/’ then it will be considered a substring match and will be implicitly surrounded by ‘*’ (as in *filename-search-pattern*). If the subsequent string contains any of ‘*[?\’, then it will handled like a glob pattern, otherwise any trailing ‘/’ or ‘/.’ will be removed and a literal path lookup will be performed. This command will not list extra files created by maintainer scripts, nor will it list alternatives.

-p, --print-avail nom-du-paquet...
    Affiche les détails relatifs à nom-du-paquet, tels que présents dans /var/lib/dpkg/available. Si des nom-paquet multiples sont indiqués, les entrées available correspondantes seront séparées par des lignes vides et apparaîtront dans l'ordre de la liste de paramètres. Les utilisateurs des outils basés sur APT devraient plutôt utiliser la commande apt-cache show nom-du-paquet car le fichier available n'est tenu à jour que lorsque dselect est utilisé.

-?, --help
    Affiche un message d'aide puis quitte.

--version
    Affiche le numéro de version puis quitte.

OPTIONS

--admindir=dir
    Change l'endroit où se trouve la base de données de dpkg. Par défaut, c'est /var/lib/dpkg.

--load-avail
    Also load the available file when using the --show and --list commands, which now default to only querying the status file (since dpkg 1.16.2).

-f, --showformat=format
    Cette option sert à spécifier le format de sortie de l'option --show. Ce format sera utilisé pour chaque paquet listé. Dans la chaîne, “\” déspécifie le caractère :
        \n  nouvelle ligne
        \r  retour chariot
        \t  tabulation
    “\” avant un caractère supprime la signification du caractère qui suit. C'est utile pour les caractères “\” et “$”. L'information relative à un paquet peut être indiquée en insérant des appels de variables spécifiant des champs du paquet avec la syntaxe suivante : “${field[;width]}”. Les champs sont alignés à droite, à moins que la largeur ne soit négative, auquel cas ils sont alignés à gauche. Les champs suivants sont reconnus, mais pas nécessairement disponibles dans le fichier d'état (seuls les champs internes ou les champs conservés avec le paquet binaire le sont) :
        Architecture
        Bugs
        Conffiles (interne)
        Config-Version (interne)
        Conflicts
        Breaks
        Depends
        Description
        Enhances
        Essential
        Filename (interne, lié au programme frontal)
        Homepage
        Installed-Size
        MD5sum (interne, lié au programme frontal)
        MSDOS-Filename (interne, lié au programme frontal)
        Maintainer
        Origin
        Package
        Pre-Depends
        Priority
        Provides
        Recommends
        Replaces
        Revision (obsolète)
        Section
        Size (interne, lié au programme frontal)
        Source
        Status (interne)
        Suggests
        Tag (en général pas dans le .deb mais dans les fichiers Packages des dépôts)
        Triggers-Awaited (interne)
        Triggers-Pending (interne)
        Version
    Les champs suivants sont virtuels, créés par dpkg-query à partir des valeurs d'autres champs (veuillez noter qu'ils utilisent des noms qui ne sont pas valables comme noms de champs dans le fichiers de contrôle) :

    binary:Package
        It contains the binary package name with a possible architecture qualifier like “libc6:amd64” (since dpkg 1.16.2). An architecture qualifier will be present to make the package name unambiguous, for example if the package has a Multi-Arch field with a value of same or the package is of a foreign architecture.

    binary:Summary
        Il contient la description courte du paquet (depuis dpkg 1.16.2).

    db:Status-Abbrev
        It contains the abbreviated package status (as three characters), such as “ii ” or “iHR” (since dpkg 1.16.2). See the --list command description for more details.

    db:Status-Want
        Il contient le statut désiré du paquet, extrait du champ Status (depuis dpkg 1.17.11).

    db:Status-Status
        Il contient le statut actuel du paquet, extrait du champ Status (depuis dpkg 1.17.11).

    db:Status-Eflag
        Il contient le drapeau d'erreur du statut du paquet, extrait du champ Status (depuis dpkg 1.17.11).

    source:Package
        Il contient le nom du paquet source de ce paquet binaire (depuis dpkg 1.16.2).

    source:Version
        Il contient la version du paquet source de ce paquet binaire (depuis dpkg 1.16.2).

    Le format par défaut est le suivant : “${binary:Package}\t${Version}\n”. Tous les autres champs du fichier d'état, par exemple des champs définis par l'utilisateur, peuvent être demandés. Ils seront affichés mais sans aucune mise en forme et aucune conversion ou vérification n'est faite. Pour obtenir le nom du responsable de dpkg et la version installée, exécutez par exemple :
      dpkg-query -W -f='${binary:Package} ${Version}\t${Maintainer}\n' dpkg

CODE DE SORTIE

0   La requête demandée s'est correctement déroulée.

1   The requested query failed either fully or partially, due to no file or package being found (except for --control-path, --control-list and --control-show were such errors are fatal).

2   Fatal or unrecoverable error due to invalid command-line usage, or interactions with the system, such as accesses to the database, memory allocations, etc.

ENVIRONNEMENT

DPKG_ADMINDIR
    Si cette variable est positionnée et que l'option --admindir n'est pas précisée, ce répertoire sera utilisé comme répertoire de données pour dpkg.

COLUMNS
    Ce réglage influence la sortie de l'option --list en modifiant la largeur d'affichage.

VOIR AUSSI
dpkg(1).

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.